
renderingOptions:
  submitButtonLabel: Absenden
identifier: bBZBeratungAnfragen-form
label: '[BBZ] Beratung Anfragen - Courses'
type: Form
prototypeName: standard
finishers:
  -
    identifier: EmailToReceiver
    options:
      subject: 'BBZ - Neue Anfrage vom Beratungsformular'
      recipients:
#        matthias.schieber@medienreaktor.de: 'Your Company name'''
        info@bbz-sad.de: 'BBZ Berufsbildungszentrum GmbH'
      senderAddress: contact@bbz-sad.de
      senderName: BBZ
      attachUploads: false
      translation:
        language: default
      useFluidEmail: false
      format: 'html'
      title: 'Confirmation of your message'
      addHtmlPart: true
      templateName: 'EmailToReceiverBeratung.html'
      templateRootPaths:
        20: 'EXT:courses/Resources/Private/Forms/Emails/Receiver/'
  -
    identifier: EmailToSender
    options:
      subject: 'Beratungsanfrage BBZ'
      recipients:
        '{email-1}': '{text-1} {text-2}'
      senderAddress: contact@bbz-sad.de
      senderName: 'BBZ Schwandorf'
      replyToRecipients:
        info@bbz-sad.de: 'BBZ Berufsbildungszentrum Schwandorf'
      addHtmlPart: true
      format: 'html'
      attachUploads: false
      useFluidEmail: false
      title: ''
      templateName: 'EmailToSender.html'
      templateRootPaths:
        20: 'EXT:courses/Resources/Private/Forms/Emails/Sender/Beratungsanfrage/'
  -
    options:
      pageUid: '1016'
      additionalParameters: ''
    identifier: Redirect
renderables:
  -
    renderingOptions:
      previousButtonLabel: ''
      nextButtonLabel: ''
    identifier: page-1
    label: ''
    type: Page
    renderables:
      -
        type: Text
        identifier: courseId
        label: 'Kurs ID'
        properties:
          containerClassAttribute: 'hiddenfield'
          fluidAdditionalAttributes:
            placeholder: "idcourse"
      -
        type: Text
        identifier: course
        label: Kurs
        properties:
          containerClassAttribute: 'hiddenfield'
          fluidAdditionalAttributes:
            placeholder: "vcourse"
      -
        type: Text
        identifier: courseType
        label: 'Kurs Typ'
        properties:
          containerClassAttribute: 'hiddenfield'
          fluidAdditionalAttributes:
            placeholder: "typecourse"
      -
        type: Text
        identifier: courseUrl
        label: 'Kurs URL'
        properties:
          containerClassAttribute: 'hiddenfield'
          fluidAdditionalAttributes:
            placeholder: "linkcourse"
      - type: Fieldset
        identifier: fieldset-1
        label: 'Ihre Daten'
        renderables:
          - type: GridRow
            identifier: gridrow-1
            label: 'Grid: Row'
            renderables:
              - defaultValue: ''
                type: Text
                identifier: text-1
                label: Vorname
                properties:
                  fluidAdditionalAttributes:
                    required: required
                validators:
                  - identifier: NotEmpty
              - defaultValue: ''
                type: Text
                identifier: text-2
                label: Nachname
                properties:
                  fluidAdditionalAttributes:
                    required: required
                validators:
                  - identifier: NotEmpty
          - defaultValue: ''
            type: Text
            identifier: text-3
            label: Unternehmen
      - type: Fieldset
        identifier: fieldset-2
        label: Kontakt
        renderables:
          - type: GridRow
            identifier: gridrow-2
            label: 'Grid: Row'
            renderables:
              - defaultValue: ''
                type: Email
                identifier: email-1
                label: E-Mail-Adresse
                properties:
                  fluidAdditionalAttributes:
                    required: required
                validators:
                  - identifier: EmailAddress
                  - identifier: NotEmpty
              - defaultValue: ''
                type: Telephone
                identifier: telephone-1
                label: Telefon
      - defaultValue: ''
        type: Text
        identifier: text-4
        label: 'Ihr Wunschtermin'
        properties:
          fluidAdditionalAttributes:
            placeholder: 'z. B. Dienstag Vormittag oder Donnerstag Nachmittag'
          elementDescription: 'Bitte beachten Sie unsere Geschäftszeiten.'
      - label: 'Content element'
        properties:
          contentElementUid: '6704'
        type: ContentElement
        identifier: contentelement-3
      - label: 'Content element'
        properties:
          contentElementUid: '6188'
        type: ContentElement
        identifier: contentelement-1
      - label: 'Content element'
        properties:
          contentElementUid: '6690'
        type: ContentElement
        identifier: contentelement-2
